import { Context } from 'koishi';
import TargetPlugin from '../src';
import ConsolePlugin from '@koishijs/plugin-console';
import SandboxPlugin from '@koishijs/plugin-sandbox';
import DatabasePlugin from '@koishijs/plugin-database-memory';
// import CachePlugin from '@koishijs/plugin-cache-lru';
import * as Help from '@koishijs/plugin-help';
import ExtrasInDev from './extras';

const app = new Context({
  port: 14514,
  host: 'localhost',
  prefix: '.',
});

app.plugin(Help);

// Console and sandbox
// app.plugin(SandboxPlugin);
app.plugin(ConsolePlugin, {
  open: false,
});app.plugin(SandboxPlugin);

// Some services
// app.plugin(CachePlugin);
app.plugin(DatabasePlugin);

// Some extras
app.plugin(ExtrasInDev);

// Target plugin
app.plugin(TargetPlugin, {
  cron: '* * * * * *',
  returnRate: 0.4,
  targets: [
    {
      bot: 'sandbox:koishi',
      users: ['Alice', 'Bob'],
      channels: [{ channelId: '#' }],
    },
  ],
});

app.start();
